<section class="login-page">
  <div class="login-box">
  <div class="logo">
      <a href="index.html">Rising<b>&nbsp;Enterprize</b></a>
      <small>Rising Enterprize - Sign In</small>
  </div>
  <div class="card">
      <div class="body">
          <!-- <form id="sign_in" method="POST"> -->
              <form (ngSubmit)="onSubmit(loginForm)" id="sign_in" #loginForm="ngForm">
              <div class="msg">Sign in to start your session</div>
              <div class="input-group">
                  <span class="input-group-addon">
                      <i class="material-icons">person</i>
                  </span>
                  <div class="form-line">
                      <input ngModel name="username" type="text" class="form-control" placeholder="Username" required autofocus>
                  </div>
              </div>
              <div class="input-group">
                  <span class="input-group-addon">
                      <i class="material-icons">lock</i>
                  </span>
                  <div class="form-line">
                      <input ngModel name="password" type="password" class="form-control" placeholder="Password" required>
                  </div>
              </div>
              <!-- // add error message -->
              <!-- <div *ngIf="!loginForm.valid && loginForm.touched === true && loginForm.dirty === true" class="alert alert-danger" role="alert">
                  Error, Incorrect username or password!
              </div> -->
              <!-- // add error message -->
              <div class="row">
                  <div class="col-xs-8 p-t-5">
                      <input type="checkbox" name="rememberme" id="rememberme" class="filled-in chk-col-pink">
                      <label for="rememberme">Remember Me</label>
                  </div>
                  <div class="col-xs-4">
                      <button class="btn btn-block bg-pink waves-effect" 
                      [disabled]="!loginForm.valid"
                      type="submit">SIGN IN</button>
                  </div>
              </div>
              <div class="row m-t-15 m-b--20">
                  <div class="col-xs-6">
                      <!-- <a href="sign-up.html">Register Now!</a> -->
                      <a href="register">Register Now!</a>
                  </div>
                  <div class="col-xs-6 align-right">
                      <a href="forgot-password.html">Forgot Password?</a>
                  </div>
              </div>
          </form>
      </div>
  </div>
</div>
</section>
